| Earth Observation Mission CFI Software Pointing Software User Manual for JAVA |

Public Member Functions

# EECFI.DemId Class Reference

Class for the DEM parameters. More...

Inheritance diagram for EECFI.DemId:

List of all members.

## Public Member Functions
| DemId ()
| Empty Class constructor.
native void | init (long mode, long model, String demFile) throws CfiError
| Initialise the DEM parameters.
native double | compute (final ModelId modelId, double lon, double lat) throws CfiError
| Compute altitude over the sea level for a point in the Earth.
native SatId | satId ()
| Get satellite id.
native DemConfFile | getData () throws CfiError
| Get DEM parameters.
native DemInfo | getInfo (final ModelId modelId, double lon, double lat) throws CfiError
| Get DEM source data.

## Detailed Description

Class for the DEM parameters.

## Constructor & Destructor Documentation

EECFI.DemId.DemId | ( |  | ) |

Empty Class constructor.

## Member Function Documentation

double EECFI.DemId::compute | ( | final ModelId | modelId,
|  | double | lon,
|  | double | lat |
| ) |  |  | throws CfiError

Compute altitude over the sea level for a point in the Earth.

Parameters:

  | modelId | Model id.
  | lon | Longitude.
  | lat | Latitude.

Returns:
  Altitude corresponding to lon and lat.

DemConfFile EECFI.DemId::getData | ( |  | ) | throws CfiError

Get DEM parameters.

Returns:
  DEM data.

native DemInfo EECFI.DemId.getInfo | ( | final ModelId | modelId,
|  | double | lon,
|  | double | lat |
| ) |  |  | throws CfiError

Get DEM source data.

void EECFI.DemId::init | ( | long | mode,
|  | long | model,
|  | String | demFile |
| ) |  |  | throws CfiError

Initialise the DEM parameters.

The altitude is calculated from the altitudes read from a digital elevation model (DEM).

Parameters:

  | mode | Digital elevation model initialisation mode (DemModelPointingEnum).
  | model | Digital elevation model initialisation model (dummy in current implementation).
  | demFile | File used for DEM initialisation.

SatId EECFI.DemId::satId | ( |  | ) |

Get satellite id.

Returns:
  Satellite id.